Package com.macrofocus.high_d.scatterplot.swing

# Class SwingScatterPlot<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlot<JComponent,Color,Font,Row,Column>
com.macrofocus.high_d.scatterplot.swing.SwingScatterPlot<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `ScatterPlot<JComponent,Color,Font,Row,Column>`

Direct Known Subclasses:
  `SwingControlChart`, `SwingMDS`

public class SwingScatterPlot<Row,Column> extends AbstractScatterPlot<JComponent,Color,Font,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingScatterPlot()`
  Creates a ScatterPlot component with default settings and configuration.
  `SwingScatterPlot(ScatterPlotModel<Color,Row,Column> model)`
  Creates a ScatterPlot component with the its native data model.
  `SwingScatterPlot(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)`
  Creates a ScatterPlot component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ScatterPlotController`
  `createController(ScatterPlotView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected ScatterPlotModel`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ScatterPlotView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `JComponent`
  `getNativeComponent()`
  `static void`
  `main(String[] args)`
  Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API
  `void`
  `setStyleClass(String... styleClasses)`
  `void`
  `setView(ScatterPlotView<JComponent,Color,Font,Row,Column> view)`
  Sets the view to be used by the scatter plot component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `getController, getModel, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingScatterPlot

    public SwingScatterPlot()
    Creates a ScatterPlot component with default settings and configuration.

  - ### SwingScatterPlot

    public SwingScatterPlot(ScatterPlotModel<Color,Row,Column> model)
    Creates a ScatterPlot component with the its native data model.
    Parameters:
      `model` - a ScatterPlotModel

  - ### SwingScatterPlot

    public SwingScatterPlot(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)
    Creates a ScatterPlot component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

- ## Method Details

  - ### setView

    public void setView(ScatterPlotView<JComponent,Color,Font,Row,Column> view)
    Description copied from interface: `ScatterPlot`
    Sets the view to be used by the scatter plot component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `ScatterPlot<JComponent,Color,Font,Row,Column>`
    Overrides:
      `setView` in class `AbstractScatterPlot<JComponent,Color,Font,Row,Column>`
    Parameters:
      `view` - the view to be used

  - ### createModel

    protected ScatterPlotModel createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractScatterPlot<JComponent,Color,Font,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected ScatterPlotView createView()
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractScatterPlot<JComponent,Color,Font,Row,Column>`
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected ScatterPlotController createController(ScatterPlotView view)
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractScatterPlot<JComponent,Color,Font,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### main

    public static void main(String[] args)
    Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API